# $Revision: 1.38 $, $Date: 2011/10/01 06:57:09 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for reading and converting WordPerfect(TM) documents
Summary(pl.UTF-8):	Biblioteka do odczytu i konwersji dokumentów WordPerfecta(TM)
Name:		libwpd
Version:	0.9.3
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libwpd/%{name}-%{version}.tar.gz
# Source0-md5:	66368157450583f452d38a06990d5537
URL:		http://libwpd.sourceforge.net/
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library that handles WordPerfect documents.

%description -l pl.UTF-8
Biblioteka obsługująca dokumenty WordPerfecta.

%package devel
Summary:	Header files for libwpd library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libwpd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for libwpd library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libwpd.

%package static
Summary:	Static libwpd library
Summary(pl.UTF-8):	Statyczna biblioteka libwpd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libwpd library.

%description static -l pl.UTF-8
Statyczna biblioteka libwpd.

%package tools
Summary:	Tools to transform WordPerfect Documents into other formats
Summary(pl.UTF-8):	Narzędzia do przekształcania dokumentów WordPerfecta na inne formaty
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform WordPerfect Documents (WPD) into other formats.
Currently supported: html, raw, text.

%description tools -l pl.UTF-8
Narzędzia do przekształcania dokumentów WordPerfecta (WPD) na inne
formaty. Aktualnie obsługiwane są: html, raw, text.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/doc
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libwpd-*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog NEWS TODO
%attr(755,root,root) %{_libdir}/libwpd-0.9.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwpd-0.9.so.9
%attr(755,root,root) %{_libdir}/libwpd-stream-0.9.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwpd-stream-0.9.so.9

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwpd-0.9.so
%attr(755,root,root) %{_libdir}/libwpd-stream-0.9.so
%{_includedir}/libwpd-0.9
%{_pkgconfigdir}/libwpd-0.9.pc
%{_pkgconfigdir}/libwpd-stream-0.9.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libwpd-0.9.a
%{_libdir}/libwpd-stream-0.9.a
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wpd2*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libwpd.spec,v $
Revision 1.38  2011/10/01 06:57:09  qboosh
- updated ac/am version

Revision 1.37  2011/09/28 10:05:34  lisu
- updated to 0.9.3
- drop redundant configure option
- verbose make

Revision 1.36  2011/06/07 13:09:30  lisu
- updated to 0.9.2

Revision 1.35  2011/04/15 14:08:18  lisu
- updated to 0.9.1
- drop libtool files
- drop useless doc dir

Revision 1.34  2010/12/28 14:09:25  lisu
- reverse
- rel 3

Revision 1.33  2010/12/28 13:27:06  lisu
- add /usr/include/libwpd-0.9/libwpd-stream to CFLAGS in .pc
- rel 2

Revision 1.32  2010/11/21 17:17:28  qboosh
- glib2 and libgsf no longer used
- package more docs

Revision 1.31  2010/11/18 20:05:49  caleb
- Up to 0.9.0
- Bump so version

Revision 1.30  2008/07/17 22:21:32  qboosh
- updated to 0.8.14

Revision 1.29  2008/01/05 20:58:18  qboosh
- ghost soname symlinks

Revision 1.28  2008-01-04 01:54:12  zbyniu
- up to 0.8.13

Revision 1.27  2007-11-03 23:51:50  qboosh
- updated to 0.8.12

Revision 1.26  2007/09/03 17:25:37  qboosh
- updated to 0.8.11

Revision 1.25  2007/08/19 19:29:47  witekfl
- added bcond_without static_libs

Revision 1.24  2007/06/17 20:06:46  qboosh
- updated to 0.8.10

Revision 1.23  2007/03/17 18:42:43  qboosh
- updated to 0.8.9 (fixes CVE-2007-0002)

Revision 1.22  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.20  2007/01/31 00:01:29  qboosh
- updated to 0.8.8

Revision 1.19  2006/10/18 10:34:45  qboosh
- updated to 0.8.7

Revision 1.18  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.17  2006/07/20 15:33:35  qboosh
- updated to 0.8.6

Revision 1.16  2006/07/13 17:26:22  freetz
- rel.2, updated deps, --as-needed for LDFLAGS

Revision 1.15  2006/06/01 22:24:37  adamg
- updated to 0.8.5

Revision 1.14  2005/12/15 13:24:39  qboosh
- updated to 0.8.4

Revision 1.13  2005/10/10 15:15:11  freetz
- rel.2 for rebuild with new libgsf (soname change)

Revision 1.12  2005/09/02 21:31:39  qboosh
- updated to 0.8.3

Revision 1.11  2005/07/02 15:08:03  qboosh
- updated to 0.8.2 (bugfixes)

Revision 1.10  2005/04/18 19:49:34  qboosh
- updated to 0.8.1 (bugfixes)

Revision 1.9  2005/02/27 20:02:55  qboosh
- updated to 0.8.0 (note: new soname)

Revision 1.8  2004/12/11 00:04:15  ankry
- rel. 2

Revision 1.7  2004/07/18 23:28:59  grzegol
- updated to 0.7.2

Revision 1.6  2004/02/15 17:01:38  qboosh
- strict internal deps

Revision 1.5  2004/02/14 21:43:21  adamg
- updated to 0.7.1

Revision 1.4  2004/01/17 13:17:47  qboosh
- updated to 0.7.0

Revision 1.3  2003/11/11 15:24:47  qboosh
- updated to 0.6.6

Revision 1.2  2003/11/04 20:23:26  qboosh
- updated to 0.6.5

Revision 1.1  2003/10/30 22:02:54  qboosh
- new
